Subject: [MMUSIC] draft-ietf-mmusic-image-attributes, question regarding frame rate

From: Ingemar Johansson S <[email-masked]>
Date: Wed, 2 Jun 2010 15:27:08 +0200

Hi

First of all, thanks for all the comments on the image attribute draft. I will submit a new version at the end of the week or early next week.

I received a question regarding frame rate . In an early version it was possible to specify a frame rate range. See
http://tools.ietf.org/id/draft-johansson-mmusic-image-attributes-01.txt

For some reason this was removed but I don't anymore remember why. I recall that the reason was that, while frame rate may have a meaning in older codecs such as H.261, it has less meaning for e.g H.264. Moreover the "framerate" in H.264 is given by the level. But it is possible that my memory is totally off. 
Any comments around this are welcome

Regards
/Ingemar
=================================
INGEMAR JOHANSSON  M.Sc. 
Senior Research Engineer 

Ericsson AB
Multimedia Technologies
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]
www.ericsson.com 
Visit http://labs.ericsson.com !
=================================

---

From: Ingemar Johansson S <[email-masked]>
Date: Thu, 3 Jun 2010 08:39:23 +0200

Hi

Thanks for the reply
The frame rate was in the first individual submissions, but I later removed it after some discussion. But I am inclined to agree, I don't believe that frame rate really fits here so I will not include frame rate in the draft.

Regards
Ingemar 

> -----Original Message-----
> From: Roni Even [mailto:[email-masked]] 
> Sent: den 2 juni 2010 17:53
> To: Ingemar Johansson S; 'mmusic'
> Subject: RE: draft-ietf-mmusic-image-attributes, question 
> regarding frame rate
> 
> Hi,
> I am not sure that frame rate was in this draft. There is an 
> SDP attribute for frame rate see RFC 4566 section 6 a=framerate.
> 
> As for this draft, the motivation is to allow a receiver not 
> to scale the image and frame rate is not related to scaling 
> just the image size.
> 
> Roni Even
> 
> > -----Original Message-----
> > From: Ingemar Johansson S [mailto:[email-masked]]
> > Sent: Wednesday, June 02, 2010 4:27 PM
> > To: mmusic
> > Cc: Roni Even; Ingemar Johansson S
> > Subject: draft-ietf-mmusic-image-attributes, question 
> regarding frame 
> > rate
> > 
> > Hi
> > 
> > First of all, thanks for all the comments on the image 
> attribute draft.
> > I will submit a new version at the end of the week or early 
> next week.
> > 
> > I received a question regarding frame rate . In an early version it 
> > was possible to specify a frame rate range. See 
> > 
> > For some reason this was removed but I don't anymore 
> remember why. I 
> > recall that the reason was that, while frame rate may have 
> a meaning 
> > in older codecs such as H.261, it has less meaning for e.g H.264. 
> > Moreover the "framerate" in H.264 is given by the level. But it is 
> > possible that my memory is totally off.